const content = [
    {
        title: "安装",
        path: "/guides/base/"
    },
    {
        title: "绘图引擎",
        path: "/guides/",
        children: [
            ["/guides/engine/draw", "绘制形状"],
            ["/guides/engine/style", "颜色与样式"],
            ["/guides/engine/text", "绘制文字"],
            ["/guides/engine/image", "绘制图片"],
            ["/guides/engine/gradient", "渐变"],
            ["/guides/engine/composite", "融合"],
            ["/guides/engine/transform", "变型"],
            ["/guides/engine/clip", "裁剪"],
            ["/guides/engine/arrow", "绘图指令-绘制带有箭头的线段"],
        ]
    },
    {
        title: "场景管理",
        path: "/guides/scene/",
        children: [
            {
                title: "图元素实例",
                path: "/dev/graph/scene/items/",
                children: [
                    ["/guides/scene/items/clock", "时钟"],
                    ["/guides/scene/items/text", "文本"],
                    ["/guides/scene/items/image", "图片"],
                    ["/guides/scene/items/editLine", "可编辑直线"],
                    ["/guides/scene/items/editPolyline", "可编辑折线"],
                    ["/guides/scene/items/editPolygon", "可编辑多边形示例"],
                    ["/guides/scene/items/imgText", "图例item(图片文本组合)"]
                ]
            },
            ["/guides/scene/undo", "Undo示例"],
            ["/guides/scene/align", "对齐示例"],
        ]
    },
    {
        title: "楼层平面图",
        path: "/guides/big/",
        children: [
            ["/guides/big/workLine", "工作流程"],
            ["/guides/big/downloadFile", "手工下载楼层底图文件"],
            ["/guides/big/jsonFile", "json数据格式"],
            ["/guides/big/divide", "划分"],
            ["/guides/big/mapDemo", "楼层平面图范例"],
        ]
    },
    {
        title: "系统图",
        path: "/guides/system-diagram/",
        children: [
            ["/guides/system-diagram/json-file", "json数据格式"]
        ]
    },
];

module.exports = content;
